Bug 613140 - PDF intermittently ignoring "width" flag on imagedata in PDF builds
Summary: PDF intermittently ignoring "width" flag on imagedata in PDF builds
Status: CLOSED ERRATA
Alias: None
Product: Publican
Classification: Community
Component: publican   
(Show other bugs)
Version: 1.6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn ๐Ÿž
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-09 20:00 UTC by Deon Ballard
Modified: 2010-11-24 04:17 UTC (History)
4 users (show)

Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 20:42:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
docs pdf (2.74 MB, application/pdf)
2010-07-09 20:00 UTC, Deon Ballard
no flags Details

Description Deon Ballard 2010-07-09 20:00:43 UTC
Created attachment 430749 [details]
docs pdf

I have the image size set to width="444px" (or smaller) for every single image in chapters 2 and 5 in this PDF. Some of those sizes are honored and some, very obviously, are not. Everything is a PNG and has XML like this:

<informalfigure>
     <mediaobject>
          <imageobject role="html">
               <imagedata fileref="images/bundle-recipe.png" />
          </imageobject>
          <imageobject role="fo">
              <imagedata fileref="images/bundle-recipe.png" width="444px" />
          </imageobject>
     </mediaobject>
</informalfigure>

I cannot find any difference between the XML or the PNGs themselves for why one image is resized and the other isn't.

Normal info:
RHEL 5.4 Client
publican-2.1-0.el5
publican-jboss-1.9-0.el5

Comment 1 Deon Ballard 2010-07-09 20:57:47 UTC
I'm sorry, that's chapter 1 and chapter 5. Not chapter 2.

Comment 2 Jeff Fearn ๐Ÿž 2010-07-27 04:42:22 UTC
This use of role isn't supported in DocBook or Publican, does it work if only use one imageobject?

Comment 3 Deon Ballard 2010-07-27 13:36:17 UTC
Sagehill thinks "role" is supported for Docbook images:
http://www.sagehill.net/docbookxsl/GraphicSelection.html

And this worked in versions of publican pre-1.0.

Comment 4 Jeff Fearn ๐Ÿž 2010-07-28 02:41:42 UTC
(In reply to comment #3)
> Sagehill thinks "role" is supported for Docbook images:
> http://www.sagehill.net/docbookxsl/GraphicSelection.html

Well there you go, you learn something new everyday!

> And this worked in versions of publican pre-1.0.    

The XSL that handles this is in the default DocBook XSL and has not been overridden by Publican.

Does it work consistently if you build the book in Brew?

Comment 5 Jeff Fearn ๐Ÿž 2010-08-06 05:32:23 UTC
ah ha!

The width is getting set to max_image_width if the image is wider than max_image_width, even if the width being asked for is less than max_image_width.

If the width requested in the XML is smaller than max_image_width it should be honoured.

Fixed in Build: 2.1-0%{?dist}.t26

Comment 6 Ruediger Landmann 2010-08-07 13:50:17 UTC
Verified that you can set an image-width smaller than 444px for an image wider than 444px in PDF in build: 2.1-0%{?dist}.t29

Comment 7 Fedora Update System 2010-10-06 05:48:53 UTC
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13

Comment 8 Fedora Update System 2010-10-06 05:50:12 UTC
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12

Comment 9 Fedora Update System 2010-10-06 05:50:15 UTC
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14

Comment 10 Fedora Update System 2010-10-08 20:40:20 UTC
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.